version: "3.7"
services:
  rabbitmq:
    image: rabbitmq:3.8.0-management-alpine
    ports:
      - "5672:5672"
      - "15672:15672"
    environment:
      - RABBITMQ_LOGS=/var/log/rabbitmq/rabbit.log
    volumes:
      - rabbitLogs:/var/log/rabbitmq/
      - rabbitData:/var/lib/rabbitmq
  config-server:
    image: circulo7/config-server
    ports:
      - "8888:8888"
    volumes:
      - "$HOME/config:/app/repo-config"
  client:
    image: circulo7/bus-config-client
    ports:
      - "9090:9090"
    environment:
      # Se apunta la configuracion al contenedor de arriba
      - SPRING_CLOUD_CONFIG_URI=http://config-server:8888
      - SPRING_RABBITMQ_HOST=rabbitmq
  client2:
    image: circulo7/bus-config-client
    ports:
      - "9091:9090"
    environment:
      # Se apunta la configuracion al contenedor de RabbitMQ
      - SPRING_CLOUD_CONFIG_URI=http://config-server:8888
      - SPRING_RABBITMQ_HOST=rabbitmq
  client3:
    image: circulo7/bus-config-client
    ports:
      - "9092:9090"
    environment:
      # Se apunta la configuracion al contenedor de RabbitMQ
      - SPRING_CLOUD_CONFIG_URI=http://config-server:8888
      - SPRING_RABBITMQ_HOST=rabbitmq

volumes:
  rabbitLogs:
  rabbitData: